Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.bpm
Interface BPMS

All Known Implementing Classes:
  Jbpm

    public interface BPMS

A generic interface for any Process Engine. Theoretically, any Process Engine can be "plugged into" Mule via the BPM connector if it implements this interface.

See Also:
  `MessageService`

Method Summary
`void` | `abortProcess(Object processId)` Abort a running process (end abnormally).
`Object` | `advanceProcess(Object processId, Object transition, Map processVariables)` Advance an already-running process.
`void` | `deployProcess(String resource)` Deploy (not start) a process to the BPMS based on a process definition file.
`Object` | `getId(Object process)`
`Object` | `getState(Object process)`
`boolean` | `hasEnded(Object process)`
`boolean` | `isProcess(Object obj)`
`Object` | `lookupProcess(Object processId)` Looks up an already-running process.
`void` | `setMessageService(MessageService msgService)` `MessageService` contains a callback method used to generate Mule messages from your process.
`Object` | `startProcess(Object processType, Object transition, Map processVariables)` Start a new process.
`void` | `undeployProcess(String resource)` Undeploy a process from the BPMS.
`Object` | `updateProcess(Object processId, Map processVariables)` Update the variables/parameters for an already-running process.

Method Detail

### setMessageService

    void setMessageService(MessageService msgService)

  `MessageService` contains a callback method used to generate Mule messages from your process. This method is REQUIRED.

  Parameters:
    `msgService` - An interface within Mule which the BPMS may call to generate Mule messages.

### deployProcess

    void deployProcess(String resource)
                       throws Exception

  Deploy (not start) a process to the BPMS based on a process definition file.

  Parameters:
    `resource` - - process definition file
  Throws:
    `Exception`

### undeployProcess

    void undeployProcess(String resource)
                         throws Exception

  Undeploy a process from the BPMS.

  Parameters:
    `resource` - - process definition file
  Throws:
    `Exception`

### startProcess

    Object startProcess(Object processType,
                        Object transition,
                        Map processVariables)
                        throws Exception

  Start a new process. This method is REQUIRED.

  Parameters:
    `processType` - - the type of process to start
    `processVariables` - - optional process variables/parameters to set
  Returns:
    an object representing the new process
  Throws:
    `Exception`

### advanceProcess

    Object advanceProcess(Object processId,
                          Object transition,
                          Map processVariables)
                          throws Exception

  Advance an already-running process. This method is REQUIRED.

  Parameters:
    `processId` - - an ID which identifies the running process
    `transition` - - optionally specify which transition to take from the current state
    `processVariables` - - optional process variables/parameters to set
  Returns:
    an object representing the process in its new (i.e., advanced) state
  Throws:
    `Exception`

### updateProcess

    Object updateProcess(Object processId,
                         Map processVariables)
                         throws Exception

  Update the variables/parameters for an already-running process. This method is OPTIONAL.

  Parameters:
    `processId` - - an ID which identifies the running process
    `processVariables` - - process variables/parameters to set
  Returns:
    an object representing the process in its new (i.e., updated) state
  Throws:
    `Exception`

### abortProcess

    void abortProcess(Object processId)
                      throws Exception

  Abort a running process (end abnormally). This method is OPTIONAL.

  Parameters:
    `processId` - - an ID which identifies the running process
  Throws:
    `Exception`

### lookupProcess

    Object lookupProcess(Object processId)
                         throws Exception

  Looks up an already-running process. This method is OPTIONAL.

  Returns:
    an object representing the process
  Throws:
    `Exception`

### getId

    Object getId(Object process)
                 throws Exception

  Returns:
    an ID which identifies the given process. This method is OPTIONAL.
  Throws:
    `Exception`

### getState

    Object getState(Object process)
                    throws Exception

  Returns:
    the current state of the given process. This method is OPTIONAL.
  Throws:
    `Exception`

### hasEnded

    boolean hasEnded(Object process)
                     throws Exception

  Returns:
    true if the given process has ended. This method is OPTIONAL.
  Throws:
    `Exception`

### isProcess

    boolean isProcess(Object obj)
                      throws Exception

  Returns:
    true if the object is a valid process This method is OPTIONAL.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.